
build_and_test_powershell-preview:
  stage: build-and-test
  extends: .shared_config
  only:
    changes:
      - pwshpackages/powershell-preview/**/*
  variables:
    folder_to_build: "pwshpackages/powershell-preview"
  script:
    - |
      write-host "Building chocolatey package in $folder_to_build"
      cd $folder_to_build
      choco pack -d
      dir *.nupkg 
      chocolatey install -y powershell-preview -source $pwd,https://chocolatey.org/api/v2/

push_powershell-preview:
  stage: push
  extends: .shared_config
  only:
    changes:
      - pwshpackages/powershell-preview/**/*
    refs:
      - master
  variables:
    folder_to_build: "pwshpackages/powershell-preview"
  script:
    - |
      write-host "Pushing chocolatey package in $folder_to_build"
      cd $folder_to_build
      dir *.nupkg         
      choco apikey --key $CHOCOKEY --source https://push.chocolatey.org/
      write-host "all packages: $(dir *.nupkg)"
      write-host "selecting: $(dir pwsh*.nupkg | sort-object Name | Select-Object -Last 1 -expandProperty Name)"
      choco push $(dir powershell-preview*.nupkg | sort-object Name | Select-Object -Last 1 -expandProperty Name) --source https://push.chocolatey.org/

